package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.enums.ExamNumberStyleEnum;
import com.qmth.distributed.print.business.enums.PaperTypeEnum;
import com.qmth.teachcloud.common.entity.SysOrg;

import java.util.List;

/**
 * @Date: 2021/3/29.
 */
public class CardRuleDto {

    private String id;
    private String schoolId;
    private String name;
    private ExamNumberStyleEnum examNumberStyle;
    private PaperTypeEnum paperType;
    private Boolean examAbsent;
    private Boolean writeSign;
    private Boolean discipline;
    private String requiredFields;
    private String extendFields;
    private String titleRule;
    private String attention;
    private String objectiveAttention;
    private String subjectiveAttention;
    private Boolean enable;
    private String remark;
    private String createId;
    private Long createTime;
    private List<SysOrg> orgs;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ExamNumberStyleEnum getExamNumberStyle() {
        return examNumberStyle;
    }

    public void setExamNumberStyle(ExamNumberStyleEnum examNumberStyle) {
        this.examNumberStyle = examNumberStyle;
    }

    public PaperTypeEnum getPaperType() {
        return paperType;
    }

    public void setPaperType(PaperTypeEnum paperType) {
        this.paperType = paperType;
    }

    public Boolean getExamAbsent() {
        return examAbsent;
    }

    public void setExamAbsent(Boolean examAbsent) {
        this.examAbsent = examAbsent;
    }

    public Boolean getWriteSign() {
        return writeSign;
    }

    public void setWriteSign(Boolean writeSign) {
        this.writeSign = writeSign;
    }

    public Boolean getDiscipline() {
        return discipline;
    }

    public void setDiscipline(Boolean discipline) {
        this.discipline = discipline;
    }

    public String getRequiredFields() {
        return requiredFields;
    }

    public void setRequiredFields(String requiredFields) {
        this.requiredFields = requiredFields;
    }

    public String getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(String extendFields) {
        this.extendFields = extendFields;
    }

    public String getTitleRule() {
        return titleRule;
    }

    public void setTitleRule(String titleRule) {
        this.titleRule = titleRule;
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention;
    }

    public String getObjectiveAttention() {
        return objectiveAttention;
    }

    public void setObjectiveAttention(String objectiveAttention) {
        this.objectiveAttention = objectiveAttention;
    }

    public String getSubjectiveAttention() {
        return subjectiveAttention;
    }

    public void setSubjectiveAttention(String subjectiveAttention) {
        this.subjectiveAttention = subjectiveAttention;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public List<SysOrg> getOrgs() {
        return orgs;
    }

    public void setOrgs(List<SysOrg> orgs) {
        this.orgs = orgs;
    }
}
